classification
Title: Segfault on OSX with 3.6.1
Type: crash Stage: resolved
Components: macOS Versions: Python 3.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: _scproxy.so causes EXC_BAD_ACCESS (SIGSEGV)
View: 24273
Assigned To: Nosy List: Birne94, gromgull, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2017-05-17 12:40 by gromgull, last changed 2017-05-22 09:33 by gromgull. This issue is now closed.

Files
File name Uploaded Description Edit
request_multiprocessing_crash.py gromgull, 2017-05-17 12:40 crashing program
Messages (5)
msg293849 - (view) Author: Gunnar Aastrand Grimnes (gromgull) Date: 2017-05-17 12:40
This script, using requests and multiprocessing, will segfault on MacOS 16.4.0 with python 3.6.1. In 3.6.0 it runs fine. 

The program is reduced from a much larger program, some weird things need to be present to trigger the crash. For instance the unused tornado imports on the top. 

Crash log: 

Process:               Python [1510]
Path:                  /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               3.6.1 (3.6.1)
Code Type:             X86-64 (Native)
Parent Process:        Python [1509]
Responsible:           Python [1510]
User ID:               501

Date/Time:             2017-05-17 14:23:47.307 +0200
OS Version:            Mac OS X 10.12.3 (16D32)
Report Version:        12
Anonymous UUID:        DB16C70B-F979-86B6-864C-0AC84B0E6402

Sleep/Wake UUID:       03D0B108-E764-4834-A88D-7919CAF9B786

Time Awake Since Boot: 630 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.os.log

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x000000010b692832
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

VM Regions Near 0x10b692832:
    VM_ALLOCATE            000000010b652000-000000010b692000 [  256K] rw-/rwx SM=COW  
--> 
    shared memory          000000010b6e3000-000000010b6eb000 [   32K] r--/rw- SM=SHM  

Application Specific Information:
crashed on child side of fork pre-exec

Thread 0 Crashed:: Dispatch queue: com.apple.os.log
0   libsystem_trace.dylib         	0x00007fffab4bb622 _os_log_cmp_key + 4
1   libsystem_c.dylib             	0x00007fffab324144 rb_tree_find_node + 58
2   libsystem_trace.dylib         	0x00007fffab4bbb5a __os_log_create_block_invoke + 30
3   libdispatch.dylib             	0x00007fffab2460b8 _dispatch_client_callout + 8
4   libdispatch.dylib             	0x00007fffab246cf2 _dispatch_barrier_sync_f_invoke + 83
5   libsystem_trace.dylib         	0x00007fffab4bb8ac os_log_create + 590
6   com.apple.SystemConfiguration 	0x00007fff9c8faafa __SCDynamicStoreCheckRetryAndHandleError + 167
7   com.apple.SystemConfiguration 	0x00007fff9c8f9e12 SCDynamicStoreCopyValue + 189
8   com.apple.SystemConfiguration 	0x00007fff9c8fe6fb SCDynamicStoreCopyProxiesWithOptions + 560
9   _scproxy.cpython-36m-darwin.so	0x000000010b536911 get_proxy_settings + 24
10  org.python.python             	0x000000010a464081 _PyCFunction_FastCallDict + 526
11  org.python.python             	0x000000010a4c87d7 call_function + 489
12  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
13  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
14  org.python.python             	0x000000010a4c87ae call_function + 448
15  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
16  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
17  org.python.python             	0x000000010a4c87ae call_function + 448
18  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
19  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
20  org.python.python             	0x000000010a4c87ae call_function + 448
21  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
22  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
23  org.python.python             	0x000000010a4c87ae call_function + 448
24  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
25  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
26  org.python.python             	0x000000010a4c87ae call_function + 448
27  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
28  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
29  org.python.python             	0x000000010a4c985e _PyFunction_FastCallDict + 444
30  org.python.python             	0x000000010a42c4d9 _PyObject_FastCallDict + 196
31  org.python.python             	0x000000010a42c5fc _PyObject_Call_Prepend + 156
32  org.python.python             	0x000000010a42c35a PyObject_Call + 101
33  org.python.python             	0x000000010a4c1825 _PyEval_EvalFrameDefault + 5603
34  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
35  org.python.python             	0x000000010a4c0207 PyEval_EvalCodeEx + 52
36  org.python.python             	0x000000010a44c493 function_call + 338
37  org.python.python             	0x000000010a42c35a PyObject_Call + 101
38  org.python.python             	0x000000010a4c1825 _PyEval_EvalFrameDefault + 5603
39  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
40  org.python.python             	0x000000010a4c9693 fast_function + 227
41  org.python.python             	0x000000010a4c87ae call_function + 448
42  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
43  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
44  org.python.python             	0x000000010a4c0207 PyEval_EvalCodeEx + 52
45  org.python.python             	0x000000010a44c493 function_call + 338
46  org.python.python             	0x000000010a42c35a PyObject_Call + 101
47  org.python.python             	0x000000010a4c1825 _PyEval_EvalFrameDefault + 5603
48  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
49  org.python.python             	0x000000010a4c0207 PyEval_EvalCodeEx + 52
50  org.python.python             	0x000000010a44c493 function_call + 338
51  org.python.python             	0x000000010a42c35a PyObject_Call + 101
52  org.python.python             	0x000000010a4c1825 _PyEval_EvalFrameDefault + 5603
53  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
54  org.python.python             	0x000000010a4c87ae call_function + 448
55  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
56  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
57  org.python.python             	0x000000010a4c87ae call_function + 448
58  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
59  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
60  org.python.python             	0x000000010a4c87ae call_function + 448
61  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
62  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
63  org.python.python             	0x000000010a42c4d9 _PyObject_FastCallDict + 196
64  org.python.python             	0x000000010a42c5fc _PyObject_Call_Prepend + 156
65  org.python.python             	0x000000010a42c35a PyObject_Call + 101
66  org.python.python             	0x000000010a477052 slot_tp_init + 57
67  org.python.python             	0x000000010a474072 type_call + 184
68  org.python.python             	0x000000010a42c4a4 _PyObject_FastCallDict + 143
69  org.python.python             	0x000000010a4c87a7 call_function + 441
70  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
71  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
72  org.python.python             	0x000000010a4c87ae call_function + 448
73  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
74  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
75  org.python.python             	0x000000010a4c87ae call_function + 448
76  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
77  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
78  org.python.python             	0x000000010a4c87ae call_function + 448
79  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
80  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
81  org.python.python             	0x000000010a4c985e _PyFunction_FastCallDict + 444
82  org.python.python             	0x000000010a42c4d9 _PyObject_FastCallDict + 196
83  org.python.python             	0x000000010a42c5fc _PyObject_Call_Prepend + 156
84  org.python.python             	0x000000010a42c35a PyObject_Call + 101
85  org.python.python             	0x000000010a477052 slot_tp_init + 57
86  org.python.python             	0x000000010a474072 type_call + 184
87  org.python.python             	0x000000010a42c4a4 _PyObject_FastCallDict + 143
88  org.python.python             	0x000000010a42c84a _PyObject_FastCallKeywords + 97
89  org.python.python             	0x000000010a4c87a7 call_function + 441
90  org.python.python             	0x000000010a4c1665 _PyEval_EvalFrameDefault + 5155
91  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
92  org.python.python             	0x000000010a4c9693 fast_function + 227
93  org.python.python             	0x000000010a4c87ae call_function + 448
94  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
95  org.python.python             	0x000000010a4c992e _PyFunction_FastCall + 121
96  org.python.python             	0x000000010a4c87ae call_function + 448
97  org.python.python             	0x000000010a4c15ca _PyEval_EvalFrameDefault + 5000
98  org.python.python             	0x000000010a4c8fa7 _PyEval_EvalCodeWithName + 1829
99  org.python.python             	0x000000010a4c01cd PyEval_EvalCode + 43
100 org.python.python             	0x000000010a4e7896 run_mod + 54
101 org.python.python             	0x000000010a4e7b76 PyRun_FileExFlags + 180
102 org.python.python             	0x000000010a4e7103 PyRun_SimpleFileExFlags + 280
103 org.python.python             	0x000000010a4fad40 Py_Main + 3268
104 org.python.python             	0x000000010a41fe1d 0x10a41e000 + 7709
105 libdyld.dylib                 	0x00007fffab27c255 start + 1

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x00007fff557dddf0  rbx: 0x00007fb62371bda0  rcx: 0x0030000000000203  rdx: 0x00007fff557dde20
  rdi: 0x000000010b692830  rsi: 0x00007fb62371bda0  rbp: 0x00007fff557ddd90  rsp: 0x00007fff557ddd58
   r8: 0x0000000000000001   r9: 0x0000000000000048  r10: 0x00000000ffffffff  r11: 0xffffffffb8e7ea1f
  r12: 0x00007fffb40ccf58  r13: 0x00007fffab4bb61e  r14: 0x00007fff557dde20  r15: 0x00007fb62371bdb0
  rip: 0x00007fffab4bb622  rfl: 0x0000000000010206  cr2: 0x000000010b692832
  
Logical CPU:     1
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x10a41e000 -        0x10a41ffff +org.python.python (3.6.1 - 3.6.1) <D55855B2-6471-32FB-928E-9DACA8C1C80B> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/Resources/Python.app/Contents/MacOS/Python
       0x10a422000 -        0x10a589ff7 +org.python.python (3.6.1, [c] 2001-2017 Python Software Foundation. - 3.6.1) <BBE7D719-E3AA-3509-B6AD-4B72711E242B> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/Python
       0x10a93b000 -        0x10a93cfff +_heapq.cpython-36m-darwin.so (0) <54F82A35-6CF9-32FF-A3F3-AF86FA224275> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_heapq.cpython-36m-darwin.so
       0x10aa41000 -        0x10aa42fff +_posixsubprocess.cpython-36m-darwin.so (0) <01E6D41B-7379-35E6-92EC-2CC21B6F5A33> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_posixsubprocess.cpython-36m-darwin.so
       0x10aa45000 -        0x10aa48fff +select.cpython-36m-darwin.so (0) <BF9BF6E4-BC56-30E6-8735-E151441F23C2> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/select.cpython-36m-darwin.so
       0x10aa4d000 -        0x10aa52ff7 +math.cpython-36m-darwin.so (0) <33E7F994-B390-3BE1-8198-AFCC28BC0322> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/math.cpython-36m-darwin.so
       0x10aa58000 -        0x10aa5bffb +_struct.cpython-36m-darwin.so (0) <87BA4ABD-DA9A-383D-9660-4F49EC6DF92C> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_struct.cpython-36m-darwin.so
       0x10aa62000 -        0x10aa62fff +_opcode.cpython-36m-darwin.so (0) <88828C22-AAD7-367B-918F-A3AAF268CCBD> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_opcode.cpython-36m-darwin.so
       0x10aa65000 -        0x10aa65ff3 +speedups.cpython-36m-darwin.so (0) <FDC558F8-AA2F-3A34-8FF7-8EAD4148EADB> /usr/local/lib/python3.6/site-packages/tornado/speedups.cpython-36m-darwin.so
       0x10aa69000 -        0x10aaa6267  dyld (421.2) <947FC440-80F9-32F7-A773-6FC418FE1AB7> /usr/lib/dyld
       0x10abbd000 -        0x10abc5ff7 +_socket.cpython-36m-darwin.so (0) <4FE83626-F2BC-3C85-B74C-15073CBE43E8> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_socket.cpython-36m-darwin.so
       0x10ac0f000 -        0x10ac1affb +_pickle.cpython-36m-darwin.so (0) <6A4A025A-358B-3E21-B00F-1BBF3BE92CC5> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_pickle.cpython-36m-darwin.so
       0x10ac24000 -        0x10ac29fff +_json.cpython-36m-darwin.so (0) <5B388CD6-08FA-35FA-A82C-6B980D43F185> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_json.cpython-36m-darwin.so
       0x10ac2d000 -        0x10ac32ffb +array.cpython-36m-darwin.so (0) <58EFC65F-637E-351D-83CF-6BBE1ACC4837> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/array.cpython-36m-darwin.so
       0x10ac39000 -        0x10ac3cfff +zlib.cpython-36m-darwin.so (0) <20F84555-58E4-3CF3-AF2B-53BED04E60C7> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/zlib.cpython-36m-darwin.so
       0x10ad41000 -        0x10ad4bff7 +_datetime.cpython-36m-darwin.so (0) <3F1F8FFB-CEA0-3C66-9D4F-F3BC5B60F725> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_datetime.cpython-36m-darwin.so
       0x10ad93000 -        0x10ad9eff7 +_curses.cpython-36m-darwin.so (0) <0E85C94E-7E3F-3AC9-B332-8E373482FF9B> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_curses.cpython-36m-darwin.so
       0x10ae26000 -        0x10ae27fff +_bz2.cpython-36m-darwin.so (0) <CCBFBCED-0FDF-32A3-B05B-FA54F8DEC81B> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_bz2.cpython-36m-darwin.so
       0x10ae2b000 -        0x10ae2eff7 +_lzma.cpython-36m-darwin.so (0) <08D5A079-150F-31D1-AF9D-34C7CA1810FF> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_lzma.cpython-36m-darwin.so
       0x10ae33000 -        0x10ae4fff3 +liblzma.5.dylib (0) <B757A805-DB26-3DD6-B5FE-291DB6FD3D18> /usr/local/opt/xz/lib/liblzma.5.dylib
       0x10ae55000 -        0x10ae56fff +grp.cpython-36m-darwin.so (0) <CAEB2910-F630-3051-B05E-A11FD745F4BD> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/grp.cpython-36m-darwin.so
       0x10ae99000 -        0x10ae9cfff +_hashlib.cpython-36m-darwin.so (0) <3CF81ECB-BFF3-30DD-B7F4-E791ACDE01F3> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_hashlib.cpython-36m-darwin.so
       0x10aea0000 -        0x10aedfff7 +libssl.1.0.0.dylib (0) <79FF0E4D-0C49-3BC1-8885-6BFD213C1C3E> /usr/local/opt/openssl/lib/libssl.1.0.0.dylib
       0x10aefc000 -        0x10b06eaf7 +libcrypto.1.0.0.dylib (0) <323A70A1-8F5C-3541-9570-B46743A8CD31> /usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib
       0x10b0e6000 -        0x10b0ebff7 +_blake2.cpython-36m-darwin.so (0) <B423A013-80BF-3879-8805-95EB8CEE025C> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_blake2.cpython-36m-darwin.so
       0x10b0ef000 -        0x10b0fefff +_sha3.cpython-36m-darwin.so (0) <C144F471-7E7E-3DBF-BA59-75A83C8DAD93> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_sha3.cpython-36m-darwin.so
       0x10b103000 -        0x10b103fff +_bisect.cpython-36m-darwin.so (0) <4D8C624C-2E17-3CE4-854E-F2EB89A4F5AB> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_bisect.cpython-36m-darwin.so
       0x10b106000 -        0x10b107ffb +_random.cpython-36m-darwin.so (0) <38A84988-801D-338A-8E8F-A733F038154B> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_random.cpython-36m-darwin.so
       0x10b10a000 -        0x10b10bffb +_multiprocessing.cpython-36m-darwin.so (0) <0801ABBF-9400-3D44-99F5-18BC272C7AFF> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_multiprocessing.cpython-36m-darwin.so
       0x10b10e000 -        0x10b10ffff +fcntl.cpython-36m-darwin.so (0) <C6E3C98E-0162-333F-ABED-03622758B477> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/fcntl.cpython-36m-darwin.so
       0x10b193000 -        0x10b197fff +_asyncio.cpython-36m-darwin.so (0) <ABB9BBD7-2636-37DC-B148-36EBC532F027> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_asyncio.cpython-36m-darwin.so
       0x10b25f000 -        0x10b26bfff +_ssl.cpython-36m-darwin.so (0) <B3AC1C40-1FA0-3F2F-94BC-D6C37BB8B571> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_ssl.cpython-36m-darwin.so
       0x10b278000 -        0x10b27bff7 +binascii.cpython-36m-darwin.so (0) <BFC6F935-0E41-3628-9481-AA2959937097> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/binascii.cpython-36m-darwin.so
       0x10b450000 -        0x10b45fff7 +_ctypes.cpython-36m-darwin.so (0) <A70EE7D6-6F3D-37C6-9A11-72EAEE2B955F> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_ctypes.cpython-36m-darwin.so
       0x10b4aa000 -        0x10b4b1ff7 +libuuid.dylib (0) <13A6DC18-3265-3CA7-8848-2F4A16F6333A> /usr/local/lib/libuuid.dylib
       0x10b535000 -        0x10b536fff +_scproxy.cpython-36m-darwin.so (0) <EEE7159D-073D-3FA6-8DA3-284C2D2CA26E> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/_scproxy.cpython-36m-darwin.so
       0x10b579000 -        0x10b64dff3 +unicodedata.cpython-36m-darwin.so (0) <FC35726F-4CDA-3F49-83E1-1810F0D65605> /usr/local/Cellar/python3/3.6.1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/lib-dynload/unicodedata.cpython-36m-darwin.so
    0x7fff95ca7000 -     0x7fff96141fff  com.apple.CoreFoundation (6.9 - 1348.28) <A40AA224-7A50-3989-95D0-5A228A0E2FAF> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff97c89000 -     0x7fff97d1eff7  com.apple.framework.IOKit (2.0.2 - 1324.30.13) <163BE7FA-B29A-348F-8B5F-E301F2E8C964> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff9c1ad000 -     0x7fff9c4ccfff  com.apple.security (7.0 - 57740.31.2) <A47D7BAE-0591-3184-8E44-FB2EB08A19C2> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff9c8f7000 -     0x7fff9c968ff7  com.apple.SystemConfiguration (1.14 - 1.14) <D9A57D90-E54F-3E1A-AA2F-F5A694BCE4BB> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fffa9a9a000 -     0x7fffa9a9bff3  libDiagnosticMessagesClient.dylib (102) <422911A4-E273-3E88-BFC4-DF6470E48242> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fffa9cd3000 -     0x7fffa9cd3fff  libOpenScriptingUtil.dylib (172) <D025E180-BB3B-3FFA-98FC-B6835354D723> /usr/lib/libOpenScriptingUtil.dylib
    0x7fffa9cd9000 -     0x7fffa9cdaff3  libSystem.B.dylib (1238) <9CB018AF-54E9-300F-82BE-81FE553C9154> /usr/lib/libSystem.B.dylib
    0x7fffa9df2000 -     0x7fffa9df2ff3  libauto.dylib (187) <5BBF6A00-CC76-389D-84E7-CA88EDADE683> /usr/lib/libauto.dylib
    0x7fffa9df3000 -     0x7fffa9e03ff3  libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fffa9e04000 -     0x7fffa9e12ff7  libbz2.1.0.dylib (38) <6FD3B63F-0F86-3A25-BD5B-E243F58792C9> /usr/lib/libbz2.1.0.dylib
    0x7fffa9e13000 -     0x7fffa9e69ff7  libc++.1.dylib (307.4) <BEE86868-F831-384C-919E-2B286ACFE87C> /usr/lib/libc++.1.dylib
    0x7fffa9e6a000 -     0x7fffa9e94fff  libc++abi.dylib (307.2) <1CEF8ABB-7E6D-3C2F-8E0A-E7884478DD23> /usr/lib/libc++abi.dylib
    0x7fffa9ebc000 -     0x7fffa9ebcff7  libcoretls.dylib (121.31.1) <BCC32537-4831-3E9F-876E-8C9F4CF52FD3> /usr/lib/libcoretls.dylib
    0x7fffa9ebd000 -     0x7fffa9ebeff3  libcoretls_cfhelpers.dylib (121.31.1) <6F37C5AD-7999-3D31-A52F-7AEED935F32D> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fffaa2c9000 -     0x7fffaa2c9fff  libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fffaa3d2000 -     0x7fffaa5f7ffb  libicucore.A.dylib (57149.0.1) <6B5FDA93-AA88-318F-9608-C2A33D602EC7> /usr/lib/libicucore.A.dylib
    0x7fffaa5ff000 -     0x7fffaa618ffb  liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fffaa8d8000 -     0x7fffaa909ffb  libncurses.5.4.dylib (51.30.1) <A8C8F837-86A2-3EC2-B2D2-6E8A267847E4> /usr/lib/libncurses.5.4.dylib
    0x7fffaa90a000 -     0x7fffaa983ff7  libnetwork.dylib (856.30.16) <66C6E4D6-B39C-3309-80C1-CBBE170DDD51> /usr/lib/libnetwork.dylib
    0x7fffaa984000 -     0x7fffaad54d97  libobjc.A.dylib (706) <F9AFE665-A3A2-3285-9495-19803A565861> /usr/lib/libobjc.A.dylib
    0x7fffaad57000 -     0x7fffaad5bfff  libpam.2.dylib (21.30.1) <71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
    0x7fffaad5c000 -     0x7fffaad8cff7  libpcap.A.dylib (67) <450DB888-2C0C-3085-A5F1-69324DFE902C> /usr/lib/libpcap.A.dylib
    0x7fffaae16000 -     0x7fffaaf5efe3  libsqlite3.dylib (253) <B5BA5C96-AB13-34A0-8237-DD52A0181DFE> /usr/lib/libsqlite3.dylib
    0x7fffab053000 -     0x7fffab060fff  libxar.1.dylib (357) <58BFB84B-66FE-3299-AA3D-BBA178ADEE39> /usr/lib/libxar.1.dylib
    0x7fffab064000 -     0x7fffab153ffb  libxml2.2.dylib (30.11) <E12AF929-0FA5-3214-840F-C81E6AC9F36E> /usr/lib/libxml2.2.dylib
    0x7fffab17e000 -     0x7fffab18fff3  libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fffab19e000 -     0x7fffab1a2ff7  libcache.dylib (79) <0C8092D3-600F-3ADD-A036-F225B6CDCA43> /usr/lib/system/libcache.dylib
    0x7fffab1a3000 -     0x7fffab1aeff7  libcommonCrypto.dylib (60092.30.2) <B16E29B6-EC8D-3A8F-9A89-DD9CF35F7C4B> /usr/lib/system/libcommonCrypto.dylib
    0x7fffab1af000 -     0x7fffab1b6fff  libcompiler_rt.dylib (62) <E992E8D9-037C-3454-A366-A25E4D31D6BB> /usr/lib/system/libcompiler_rt.dylib
    0x7fffab1b7000 -     0x7fffab1bffff  libcopyfile.dylib (138) <64E285D9-5485-333B-AEE7-8B0C8FB9275F> /usr/lib/system/libcopyfile.dylib
    0x7fffab1c0000 -     0x7fffab243fdf  libcorecrypto.dylib (442.30.20) <2074B932-FD79-30A9-8E90-AF25C49F2AF1> /usr/lib/system/libcorecrypto.dylib
    0x7fffab244000 -     0x7fffab276fff  libdispatch.dylib (703.30.5) <EA0CC14E-D559-3802-B4B2-0E8C7579AAC4> /usr/lib/system/libdispatch.dylib
    0x7fffab277000 -     0x7fffab27cff3  libdyld.dylib (421.2) <6F506653-FFF6-3DB8-84F1-109AE3C52F32> /usr/lib/system/libdyld.dylib
    0x7fffab27d000 -     0x7fffab27dffb  libkeymgr.dylib (28) <1A318923-1200-3B06-B432-5007D82F195D> /usr/lib/system/libkeymgr.dylib
    0x7fffab27e000 -     0x7fffab28affb  libkxld.dylib (3789.41.3) <87550136-9353-348B-9CD9-C342B48C5AAF> /usr/lib/system/libkxld.dylib
    0x7fffab28b000 -     0x7fffab28bfff  liblaunch.dylib (972.30.7) <15FACC21-079A-3BDF-9AFB-4253EFDEB587> /usr/lib/system/liblaunch.dylib
    0x7fffab28c000 -     0x7fffab291fff  libmacho.dylib (894) <A2F38EC1-C37C-3B93-B0E4-36B07C177F8C> /usr/lib/system/libmacho.dylib
    0x7fffab292000 -     0x7fffab294ff3  libquarantine.dylib (85) <C1D7749F-5F5F-3BB9-BEFC-1F0B9DA941FD> /usr/lib/system/libquarantine.dylib
    0x7fffab295000 -     0x7fffab296ffb  libremovefile.dylib (45) <CD42974E-BE0B-39FC-9BFC-8A7540A04DC6> /usr/lib/system/libremovefile.dylib
    0x7fffab297000 -     0x7fffab2afff7  libsystem_asl.dylib (349.30.2) <EFAC72D7-CB13-3DF7-ADF3-EC6635C6F1EA> /usr/lib/system/libsystem_asl.dylib
    0x7fffab2b0000 -     0x7fffab2b0ff7  libsystem_blocks.dylib (67) <B8C3701D-5A91-3D35-999D-2DC8D5393525> /usr/lib/system/libsystem_blocks.dylib
    0x7fffab2b1000 -     0x7fffab33efef  libsystem_c.dylib (1158.30.7) <2F881962-03CB-3B9D-A782-D98C1BBA4E3D> /usr/lib/system/libsystem_c.dylib
    0x7fffab33f000 -     0x7fffab342ffb  libsystem_configuration.dylib (888.30.2) <4FE3983C-E4ED-3939-A578-03AD29C99788> /usr/lib/system/libsystem_configuration.dylib
    0x7fffab343000 -     0x7fffab346fff  libsystem_coreservices.dylib (41.4) <1A572B9E-0C47-320F-8C64-7990D0A5FB5A> /usr/lib/system/libsystem_coreservices.dylib
    0x7fffab347000 -     0x7fffab35fff3  libsystem_coretls.dylib (121.31.1) <4676F06D-274D-31BE-B61C-4D7A4AEF4858> /usr/lib/system/libsystem_coretls.dylib
    0x7fffab360000 -     0x7fffab366fff  libsystem_dnssd.dylib (765.30.11) <DC708D84-ED7D-3936-B996-A67C66B8DDAA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fffab367000 -     0x7fffab390ff7  libsystem_info.dylib (503.30.1) <9ED9121C-F111-3FAD-BC2F-C95DEE1C9362> /usr/lib/system/libsystem_info.dylib
    0x7fffab391000 -     0x7fffab3b3ff7  libsystem_kernel.dylib (3789.41.3) <B75B128C-7D7A-3318-91CD-82B5A69C5329> /usr/lib/system/libsystem_kernel.dylib
    0x7fffab3b4000 -     0x7fffab3fbfe7  libsystem_m.dylib (3121.4) <266DB92B-A86F-3691-80FB-1B26AD73CFF3> /usr/lib/system/libsystem_m.dylib
    0x7fffab3fc000 -     0x7fffab41aff7  libsystem_malloc.dylib (116.30.3) <F40DEE3B-386A-3529-A3F7-98117ED55BF4> /usr/lib/system/libsystem_malloc.dylib
    0x7fffab41b000 -     0x7fffab472ffb  libsystem_network.dylib (856.30.16) <4AE368E9-605D-379D-B04C-2AC7455B8250> /usr/lib/system/libsystem_network.dylib
    0x7fffab473000 -     0x7fffab47cff3  libsystem_networkextension.dylib (563.30.15) <EB020B0C-7DF0-3EEF-8E3C-15DA3C01D687> /usr/lib/system/libsystem_networkextension.dylib
    0x7fffab47d000 -     0x7fffab486ff3  libsystem_notify.dylib (165.20.1) <E7FD3A7C-DD07-36E2-9FA4-7561F9F114DA> /usr/lib/system/libsystem_notify.dylib
    0x7fffab487000 -     0x7fffab48ffe7  libsystem_platform.dylib (126.1.2) <3CA06D4E-C00A-36DE-AA65-3A390097D1F6> /usr/lib/system/libsystem_platform.dylib
    0x7fffab490000 -     0x7fffab49aff7  libsystem_pthread.dylib (218.30.1) <C869ED7C-BE29-3532-8E69-3A8DA1447EDC> /usr/lib/system/libsystem_pthread.dylib
    0x7fffab49b000 -     0x7fffab49eff7  libsystem_sandbox.dylib (592.31.1) <7BBFDF96-293F-3DD9-B3A4-7C168280B441> /usr/lib/system/libsystem_sandbox.dylib
    0x7fffab49f000 -     0x7fffab4a0fff  libsystem_secinit.dylib (24) <5C1F1E47-0F7D-3E25-8DEB-D9DB1F902281> /usr/lib/system/libsystem_secinit.dylib
    0x7fffab4a1000 -     0x7fffab4a8fff  libsystem_symptoms.dylib (532.30.6) <5D990CF5-B58F-39F7-B375-99B4EC62CFBD> /usr/lib/system/libsystem_symptoms.dylib
    0x7fffab4a9000 -     0x7fffab4c9ff7  libsystem_trace.dylib (518.30.7) <6D34D1EA-2A3C-3D2D-803E-A666E6AEEE52> /usr/lib/system/libsystem_trace.dylib
    0x7fffab4ca000 -     0x7fffab4cfffb  libunwind.dylib (35.3) <9F7C2AD8-A9A7-3DE4-828D-B0F0F166AAA0> /usr/lib/system/libunwind.dylib
    0x7fffab4d0000 -     0x7fffab4f9ff7  libxpc.dylib (972.30.7) <65E41BB6-EBD5-3D93-B0BE-B190CEE4DD93> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 871
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=139.6M resident=0K(0%) swapped_out_or_unallocated=139.6M(100%)
Writable regions: Total=76.8M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=76.8M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        2 
Dispatch continuations            8192K        2 
Kernel Alloc Once                    8K        2 
MALLOC                            40.7M       14 
MALLOC guard page                   16K        4 
MALLOC_LARGE (reserved)            128K        2         reserved VM address space (unallocated)
STACK GUARD                          4K        2 
Stack                             17.5M        5 
Stack Guard                         12K        4 
VM_ALLOCATE                       10.0M       25 
__DATA                            4416K      100 
__LINKEDIT                       112.5M       39 
__TEXT                            27.1M       99 
__UNICODE                          556K        2 
shared memory                       44K        5 
===========                     =======  ======= 
TOTAL                            221.1M      292 
TOTAL, minus reserved VM space   221.0M      292 

Model: MacBookPro12,1, BootROM MBP121.0167.B21, 2 processors, Intel Core i5, 2,9 GHz, 16 GB, SMC 2.28f7
Graphics: Intel Iris Graphics 6100, Intel Iris Graphics 6100, Built-In
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x133), Broadcom BCM43xx 1.0 (7.21.171.68.1a5)
Bluetooth: Version 5.0.3f1, 3 services, 17 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SM0512G, 500,28 GB
USB Device: USB 3.0 Bus
USB Device: Hub
USB Device: Hub
USB Device: Bluetooth USB Host Controller
USB Device: Hub
USB Device: Microsoft USB Optical Mouse
USB Device: USB2.0 Hub
USB Device: daskeyboard
USB Device: Hub
Thunderbolt Bus: MacBook Pro, Apple Inc., 27.1
msg293851 - (view) Author: Gunnar Aastrand Grimnes (gromgull) Date: 2017-05-17 13:07
I am unable to reduce it to a small(ish) test-case like for 3.6.1, but I can also get 2.7.1 to seg fault in my original program, and the stack trace is similar: 

Process:               Python [4023]
Path:                  /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               2.7.11 (2.7.11)
Code Type:             X86-64 (Native)
Parent Process:        Python [4018]
Responsible:           Python [4023]
User ID:               501

Date/Time:             2017-05-17 15:04:48.824 +0200
OS Version:            Mac OS X 10.12.3 (16D32)
Report Version:        12
Anonymous UUID:        DB16C70B-F979-86B6-864C-0AC84B0E6402

Sleep/Wake UUID:       03D0B108-E764-4834-A88D-7919CAF9B786

Time Awake Since Boot: 3000 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.os.log

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)
Exception Codes:       KERN_INVALID_ADDRESS at 0x000000010617c832
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Segmentation fault: 11
Termination Reason:    Namespace SIGNAL, Code 0xb
Terminating Process:   exc handler [0]

VM Regions Near 0x10617c832:
    VM_ALLOCATE            000000010603c000-000000010617c000 [ 1280K] rw-/rwx SM=COW  
--> 
    VM_ALLOCATE            00000001061bc000-00000001062fc000 [ 1280K] rw-/rwx SM=COW  

Application Specific Information:
crashed on child side of fork pre-exec

Thread 0 Crashed:: Dispatch queue: com.apple.os.log
0   libsystem_trace.dylib         	0x00007fffab4bb622 _os_log_cmp_key + 4
1   libsystem_c.dylib             	0x00007fffab324144 rb_tree_find_node + 58
2   libsystem_trace.dylib         	0x00007fffab4bbb5a __os_log_create_block_invoke + 30
3   libdispatch.dylib             	0x00007fffab2460b8 _dispatch_client_callout + 8
4   libdispatch.dylib             	0x00007fffab246cf2 _dispatch_barrier_sync_f_invoke + 83
5   libsystem_trace.dylib         	0x00007fffab4bb8ac os_log_create + 590
6   com.apple.SystemConfiguration 	0x00007fff9c8faafa __SCDynamicStoreCheckRetryAndHandleError + 167
7   com.apple.SystemConfiguration 	0x00007fff9c8f9e12 SCDynamicStoreCopyValue + 189
8   com.apple.SystemConfiguration 	0x00007fff9c8fe6fb SCDynamicStoreCopyProxiesWithOptions + 560
9   _scproxy.so                   	0x0000000104cb9914 get_proxy_settings + 24
10  org.python.python             	0x00000001044c2bfb PyEval_EvalFrameEx + 26904
11  org.python.python             	0x00000001044c672d fast_function + 264
12  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
13  org.python.python             	0x00000001044c672d fast_function + 264
14  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
15  org.python.python             	0x00000001044c672d fast_function + 264
16  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
17  org.python.python             	0x00000001044c672d fast_function + 264
18  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
19  org.python.python             	0x00000001044c672d fast_function + 264
20  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
21  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
22  org.python.python             	0x0000000104460fb1 function_call + 352
23  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
24  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
25  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
26  org.python.python             	0x0000000104460fb1 function_call + 352
27  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
28  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
29  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
30  org.python.python             	0x0000000104460fb1 function_call + 352
31  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
32  org.python.python             	0x000000010444dcb8 instancemethod_call + 173
33  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
34  org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
35  org.python.python             	0x00000001044c672d fast_function + 264
36  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
37  org.python.python             	0x00000001044c672d fast_function + 264
38  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
39  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
40  org.python.python             	0x00000001044c669a fast_function + 117
41  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
42  org.python.python             	0x0000000104458398 gen_send_ex + 191
43  org.python.python             	0x00000001044c2cd2 PyEval_EvalFrameEx + 27119
44  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
45  org.python.python             	0x00000001044c669a fast_function + 117
46  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
47  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
48  org.python.python             	0x0000000104460fb1 function_call + 352
49  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
50  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
51  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
52  org.python.python             	0x0000000104460fb1 function_call + 352
53  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
54  _functools.so                 	0x00000001048587b7 partial_call + 189
55  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
56  org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
57  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
58  org.python.python             	0x00000001044c669a fast_function + 117
59  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
60  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
61  org.python.python             	0x00000001044c669a fast_function + 117
62  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
63  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
64  org.python.python             	0x00000001044c669a fast_function + 117
65  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
66  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
67  org.python.python             	0x0000000104460fb1 function_call + 352
68  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
69  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
70  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
71  org.python.python             	0x0000000104460fb1 function_call + 352
72  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
73  org.python.python             	0x000000010444dcb8 instancemethod_call + 173
74  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
75  org.python.python             	0x00000001044896f8 slot_tp_call + 61
76  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
77  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
78  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
79  org.python.python             	0x0000000104460fb1 function_call + 352
80  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
81  org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
82  org.python.python             	0x00000001044c672d fast_function + 264
83  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
84  org.python.python             	0x00000001044c672d fast_function + 264
85  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
86  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
87  org.python.python             	0x0000000104460fb1 function_call + 352
88  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
89  org.python.python             	0x000000010444dcb8 instancemethod_call + 173
90  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
91  org.python.python             	0x000000010448a143 slot_tp_init + 64
92  org.python.python             	0x0000000104485954 type_call + 182
93  org.python.python             	0x0000000104442eb0 PyObject_Call + 99
94  org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
95  org.python.python             	0x00000001044c672d fast_function + 264
96  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
97  org.python.python             	0x00000001044c672d fast_function + 264
98  org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
99  org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
100 org.python.python             	0x0000000104460fb1 function_call + 352
101 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
102 org.python.python             	0x000000010444dcb8 instancemethod_call + 173
103 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
104 org.python.python             	0x000000010448a143 slot_tp_init + 64
105 org.python.python             	0x0000000104485954 type_call + 182
106 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
107 org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
108 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
109 org.python.python             	0x00000001044c669a fast_function + 117
110 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
111 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
112 org.python.python             	0x0000000104460fb1 function_call + 352
113 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
114 org.python.python             	0x000000010444dcb8 instancemethod_call + 173
115 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
116 org.python.python             	0x000000010448a143 slot_tp_init + 64
117 org.python.python             	0x0000000104485954 type_call + 182
118 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
119 org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
120 org.python.python             	0x0000000104458398 gen_send_ex + 191
121 org.python.python             	0x00000001044c2cd2 PyEval_EvalFrameEx + 27119
122 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
123 org.python.python             	0x00000001044c669a fast_function + 117
124 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
125 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
126 org.python.python             	0x0000000104460fb1 function_call + 352
127 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
128 org.python.python             	0x000000010444dcb8 instancemethod_call + 173
129 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
130 org.python.python             	0x000000010448a143 slot_tp_init + 64
131 org.python.python             	0x0000000104485954 type_call + 182
132 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
133 org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
134 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
135 org.python.python             	0x0000000104460fb1 function_call + 352
136 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
137 org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
138 org.python.python             	0x0000000104458398 gen_send_ex + 191
139 org.python.python             	0x00000001044b98db builtin_next + 105
140 org.python.python             	0x00000001044c2bcd PyEval_EvalFrameEx + 26858
141 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
142 org.python.python             	0x0000000104460fb1 function_call + 352
143 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
144 org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
145 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
146 org.python.python             	0x00000001044c669a fast_function + 117
147 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
148 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
149 org.python.python             	0x00000001044c669a fast_function + 117
150 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
151 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
152 org.python.python             	0x00000001044c669a fast_function + 117
153 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
154 org.python.python             	0x0000000104458398 gen_send_ex + 191
155 org.python.python             	0x00000001044c2cd2 PyEval_EvalFrameEx + 27119
156 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
157 org.python.python             	0x00000001044c669a fast_function + 117
158 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
159 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
160 org.python.python             	0x0000000104460fb1 function_call + 352
161 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
162 org.python.python             	0x000000010444dcb8 instancemethod_call + 173
163 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
164 org.python.python             	0x000000010448a143 slot_tp_init + 64
165 org.python.python             	0x0000000104485954 type_call + 182
166 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
167 org.python.python             	0x00000001044c2a27 PyEval_EvalFrameEx + 26436
168 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
169 org.python.python             	0x00000001044c669a fast_function + 117
170 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
171 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
172 org.python.python             	0x00000001044c669a fast_function + 117
173 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
174 org.python.python             	0x0000000104458398 gen_send_ex + 191
175 org.python.python             	0x00000001044b98db builtin_next + 105
176 org.python.python             	0x00000001044c2bcd PyEval_EvalFrameEx + 26858
177 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
178 org.python.python             	0x00000001044c669a fast_function + 117
179 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
180 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
181 org.python.python             	0x00000001044c669a fast_function + 117
182 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
183 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
184 org.python.python             	0x00000001044c669a fast_function + 117
185 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
186 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
187 org.python.python             	0x00000001044c669a fast_function + 117
188 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
189 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
190 org.python.python             	0x0000000104460fb1 function_call + 352
191 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
192 org.python.python             	0x00000001044c3294 PyEval_EvalFrameEx + 28593
193 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
194 org.python.python             	0x00000001044c669a fast_function + 117
195 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
196 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
197 org.python.python             	0x00000001044c669a fast_function + 117
198 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
199 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
200 org.python.python             	0x00000001044c669a fast_function + 117
201 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
202 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
203 org.python.python             	0x00000001044bc4fc PyEval_EvalFrameEx + 537
204 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
205 org.python.python             	0x00000001044c669a fast_function + 117
206 org.python.python             	0x00000001044c2af3 PyEval_EvalFrameEx + 26640
207 org.python.python             	0x00000001044bc0f1 PyEval_EvalCodeEx + 1583
208 org.python.python             	0x0000000104460fb1 function_call + 352
209 org.python.python             	0x0000000104442eb0 PyObject_Call + 99
210 org.python.python             	0x00000001044f165d RunModule + 113
211 org.python.python             	0x00000001044f11b3 Py_Main + 2479
212 libdyld.dylib                 	0x00007fffab27c255 start + 1

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x00007fff5b7c5e20  rbx: 0x00007fc049a24ca0  rcx: 0x0030000000000203  rdx: 0x00007fff5b7c5e50
  rdi: 0x000000010617c830  rsi: 0x00007fc049a24ca0  rbp: 0x00007fff5b7c5dc0  rsp: 0x00007fff5b7c5d88
   r8: 0x0000000000000001   r9: 0x0000000000000048  r10: 0x00000000ffffffff  r11: 0xffffffffbee66a4f
  r12: 0x00007fffb40ccf58  r13: 0x00007fffab4bb61e  r14: 0x00007fff5b7c5e50  r15: 0x00007fc049a24cb0
  rip: 0x00007fffab4bb622  rfl: 0x0000000000010206  cr2: 0x000000010617c832
  
Logical CPU:     3
Error Code:      0x00000004
Trap Number:     14


Binary Images:
       0x104430000 -        0x104431fff +org.python.python (2.7.11 - 2.7.11) <6BAE76DA-21F3-361A-9D58-50D270E8B694> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/Resources/Python.app/Contents/MacOS/Python
       0x104438000 -        0x10452eff7 +org.python.python (2.7.11, [c] 2001-2015 Python Software Foundation. - 2.7.11) <C2EDCA79-DEA7-3EF8-953D-6303BB6F7FEE> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/Python
       0x10474e000 -        0x104750fff +_locale.so (0) <107BD336-C75C-38DF-B1E6-62A46B0D1ED2> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so
       0x1047d3000 -        0x1047d5ff7 +time.so (0) <7157EF24-2AEF-3926-8D81-CA87C4593587> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so
       0x1047db000 -        0x1047dcfff +cStringIO.so (0) <7F42CD68-944C-39C4-8B30-4ED100621116> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringIO.so
       0x1047e1000 -        0x1047e4fff +_collections.so (0) <7008439C-6500-3A96-B0A0-CC9FC6F1442C> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so
       0x1047e9000 -        0x1047ecfff +operator.so (0) <61859B66-8F74-3D0C-B077-DFFFF4E87173> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so
       0x1047f2000 -        0x1047f7fff +itertools.so (0) <8A084173-5061-3EFF-8670-E2558DAE3A0A> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so
       0x104800000 -        0x104801fff +_heapq.so (0) <797F412F-245E-3662-B274-054C39E4AFBD> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so
       0x104845000 -        0x10484dfff +_socket.so (0) <D3B03156-D850-3416-AE7A-53EA759DD8E2> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_socket.so
       0x104857000 -        0x104858fff +_functools.so (0) <04D277F9-3C8F-3961-B004-00CFFB4BA6A9> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so
       0x10485b000 -        0x104865fff +_ssl.so (0) <CB506284-400C-30B5-8760-B417151CB661> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ssl.so
       0x10486f000 -        0x1048aeff7 +libssl.1.0.0.dylib (0) <79FF0E4D-0C49-3BC1-8885-6BFD213C1C3E> /usr/local/opt/openssl/lib/libssl.1.0.0.dylib
       0x1048cb000 -        0x104a3daf7 +libcrypto.1.0.0.dylib (0) <323A70A1-8F5C-3541-9570-B46743A8CD31> /usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib
       0x104af5000 -        0x104b00fff +cPickle.so (0) <854D8260-8D73-3572-8C6C-2A993F32CB9A> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cPickle.so
       0x104b06000 -        0x104b09fff +_struct.so (0) <C59B80C0-A517-3859-82B5-97A920B7B06C> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so
       0x104b0f000 -        0x104b13ff7 +_json.so (0) <3692EE31-F489-3478-BD5F-A9CA68A0B7B6> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_json.so
       0x104b17000 -        0x104b1bfff +array.so (0) <E2E1E6BE-4546-35D8-ABB6-F082A25BA017> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/array.so
       0x104b21000 -        0x104b24fff +zlib.so (0) <0C5AA920-028F-3163-B982-4EBDD9DBDCF8> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/zlib.so
       0x104c28000 -        0x104c2bff7 +strop.so (0) <E17EC737-DF72-3C2A-9957-BCFE522FCF1D> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so
       0x104c6f000 -        0x104c6fffb +speedups.so (0) <F819FBEC-06DE-3A97-A89B-AC6D0C2B48B7> /usr/local/lib/python2.7/site-packages/tornado/speedups.so
       0x104c72000 -        0x104c75fff +binascii.so (0) <B1E5D3DE-8D0D-34F1-AF46-E919C8287FE1> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so
       0x104cb8000 -        0x104cb9fff +_scproxy.so (0) <9E0219F0-2748-3EE6-A501-CC9AA6E2DA2E> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_scproxy.so
       0x104cbc000 -        0x104cc6fff +_curses.so (0) <ADEEFD65-B9B5-31CA-9CEC-953ED58508D7> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_curses.so
       0x104cce000 -        0x104cd7ff7 +datetime.so (0) <F3B9A32D-9E01-312B-A112-89538750F72B> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/datetime.so
       0x104d20000 -        0x104d22fff +select.so (0) <64C8EC8E-FE59-3CFC-93BC-518BD7A4DF74> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/select.so
       0x104d27000 -        0x104d2aff7 +math.so (0) <00F67A27-1E1C-364E-9109-F368C5116343> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so
       0x104d6f000 -        0x104d70fff +fcntl.so (0) <143D25D2-7C46-3D58-AA97-9C302E2AFD98> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/fcntl.so
       0x104db3000 -        0x104db6fff +_multiprocessing.so (0) <3E426864-B46F-3B76-A205-346EB97A9B15> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_multiprocessing.so
       0x104e3a000 -        0x104e3cfff +_hashlib.so (0) <6A112A30-D2D8-39BE-93A0-5D3F3D8ACBAF> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so
       0x104e40000 -        0x104e41fff +_random.so (0) <42C6DCEB-3F9E-3ACE-ABD9-9076154E35AC> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so
       0x104e84000 -        0x104e93fff +_io.so (0) <5215A53B-13E3-3D5E-9BB1-B356624C0BA4> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_io.so
       0x104ee5000 -        0x104f89fff +unicodedata.so (0) <68896A51-004C-358A-9F9B-9D248FA274B8> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/unicodedata.so
       0x10500e000 -        0x105010fff +_csv.so (0) <9B0B6190-EFAB-31C0-982F-B81FA17E975F> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_csv.so
       0x105155000 -        0x105156ff7 +cprocessors.so (0) <F5FEB8CB-DEC8-33CD-B7A0-6EA2BFE59509> /usr/local/lib/python2.7/site-packages/sqlalchemy/cprocessors.so
       0x10531a000 -        0x10531afff +cutils.so (0) <91614C95-0AAD-3FDB-8FB4-DA92D5AD191F> /usr/local/lib/python2.7/site-packages/sqlalchemy/cutils.so
       0x10531d000 -        0x10531efff +cresultproxy.so (0) <F7282058-5263-36AF-8B1A-ECC4069113F4> /usr/local/lib/python2.7/site-packages/sqlalchemy/cresultproxy.so
       0x105562000 -        0x105571fff +_ctypes.so (0) <7733FBD9-D716-30F3-B587-EF6DD843BEAD> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ctypes.so
       0x1055bd000 -        0x1055c4ff7 +libuuid.dylib (0) <13A6DC18-3265-3CA7-8848-2F4A16F6333A> /usr/local/lib/libuuid.dylib
       0x105648000 -        0x105649fff +grp.so (0) <4BBA1FBC-560C-30BC-B3AF-BCA27DDB83B8> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/grp.so
       0x105849000 -        0x105867fff +pyexpat.so (0) <DCC58B56-EB6C-31A9-97CA-6DD9125FADB8> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/pyexpat.so
       0x105972000 -        0x105972fff +_bisect.so (0) <20249492-13CC-3A19-BC5B-D3E861307AD5> /usr/local/Cellar/python/2.7.11/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so
       0x105975000 -        0x105a81fff +etree.so (0) <04A9AB0D-F0E0-3A8F-A25E-998116D9518A> /usr/local/lib/python2.7/site-packages/lxml/etree.so
       0x105cc7000 -        0x105d1eff3 +_regex.so (0) <F78D973F-66F8-3F02-B138-85C6E5832BC3> /usr/local/lib/python2.7/site-packages/_regex.so
       0x1064d0000 -        0x1064d7fff +_bcrypt.so (???) <74E870F3-2799-38E9-81B9-E9980CA8409A> /usr/local/lib/python2.7/site-packages/bcrypt/_bcrypt.so
       0x1064dc000 -        0x1064f6ff7 +_cffi_backend.so (???) <2CE78FC0-02E7-3D62-A4D0-D6DA09165D92> /usr/local/lib/python2.7/site-packages/_cffi_backend.so
       0x10654c000 -        0x106554ff7 +_sqlite.so (0) <E4C2AA20-0FD2-39F8-B782-2570942A5DD8> /usr/local/lib/python2.7/site-packages/pysqlite2/_sqlite.so
       0x106561000 -        0x106603fff +libsqlite3.0.dylib (0) <509D2F33-B2BF-3D53-9544-9A6EF6A92A58> /usr/local/opt/sqlite/lib/libsqlite3.0.dylib
       0x10661b000 -        0x106658267  dyld (421.2) <947FC440-80F9-32F7-A773-6FC418FE1AB7> /usr/lib/dyld
    0x7fff95ca7000 -     0x7fff96141fff  com.apple.CoreFoundation (6.9 - 1348.28) <A40AA224-7A50-3989-95D0-5A228A0E2FAF> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff97c89000 -     0x7fff97d1eff7  com.apple.framework.IOKit (2.0.2 - 1324.30.13) <163BE7FA-B29A-348F-8B5F-E301F2E8C964> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff9c1ad000 -     0x7fff9c4ccfff  com.apple.security (7.0 - 57740.31.2) <A47D7BAE-0591-3184-8E44-FB2EB08A19C2> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff9c8f7000 -     0x7fff9c968ff7  com.apple.SystemConfiguration (1.14 - 1.14) <D9A57D90-E54F-3E1A-AA2F-F5A694BCE4BB> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fffa9a9a000 -     0x7fffa9a9bff3  libDiagnosticMessagesClient.dylib (102) <422911A4-E273-3E88-BFC4-DF6470E48242> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fffa9cd3000 -     0x7fffa9cd3fff  libOpenScriptingUtil.dylib (172) <D025E180-BB3B-3FFA-98FC-B6835354D723> /usr/lib/libOpenScriptingUtil.dylib
    0x7fffa9cd9000 -     0x7fffa9cdaff3  libSystem.B.dylib (1238) <9CB018AF-54E9-300F-82BE-81FE553C9154> /usr/lib/libSystem.B.dylib
    0x7fffa9df2000 -     0x7fffa9df2ff3  libauto.dylib (187) <5BBF6A00-CC76-389D-84E7-CA88EDADE683> /usr/lib/libauto.dylib
    0x7fffa9df3000 -     0x7fffa9e03ff3  libbsm.0.dylib (34) <20084796-B04D-3B35-A003-EA11459557A9> /usr/lib/libbsm.0.dylib
    0x7fffa9e04000 -     0x7fffa9e12ff7  libbz2.1.0.dylib (38) <6FD3B63F-0F86-3A25-BD5B-E243F58792C9> /usr/lib/libbz2.1.0.dylib
    0x7fffa9e13000 -     0x7fffa9e69ff7  libc++.1.dylib (307.4) <BEE86868-F831-384C-919E-2B286ACFE87C> /usr/lib/libc++.1.dylib
    0x7fffa9e6a000 -     0x7fffa9e94fff  libc++abi.dylib (307.2) <1CEF8ABB-7E6D-3C2F-8E0A-E7884478DD23> /usr/lib/libc++abi.dylib
    0x7fffa9ebc000 -     0x7fffa9ebcff7  libcoretls.dylib (121.31.1) <BCC32537-4831-3E9F-876E-8C9F4CF52FD3> /usr/lib/libcoretls.dylib
    0x7fffa9ebd000 -     0x7fffa9ebeff3  libcoretls_cfhelpers.dylib (121.31.1) <6F37C5AD-7999-3D31-A52F-7AEED935F32D> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fffaa2c9000 -     0x7fffaa2c9fff  libenergytrace.dylib (15) <A1B040A2-7977-3097-9ADF-34FF181EB970> /usr/lib/libenergytrace.dylib
    0x7fffaa2ca000 -     0x7fffaa2d6ffb  libexslt.0.dylib (15.8) <9910CD52-0A64-3992-B540-D7D38C626209> /usr/lib/libexslt.0.dylib
    0x7fffaa2d7000 -     0x7fffaa2d8fff  libffi.dylib (18.1) <49D03682-E111-351C-8266-4519B3B82BE9> /usr/lib/libffi.dylib
    0x7fffaa3d2000 -     0x7fffaa5f7ffb  libicucore.A.dylib (57149.0.1) <6B5FDA93-AA88-318F-9608-C2A33D602EC7> /usr/lib/libicucore.A.dylib
    0x7fffaa5ff000 -     0x7fffaa618ffb  liblzma.5.dylib (10) <44BD0279-99DD-36B5-8A6E-C11432E2098D> /usr/lib/liblzma.5.dylib
    0x7fffaa8d8000 -     0x7fffaa909ffb  libncurses.5.4.dylib (51.30.1) <A8C8F837-86A2-3EC2-B2D2-6E8A267847E4> /usr/lib/libncurses.5.4.dylib
    0x7fffaa90a000 -     0x7fffaa983ff7  libnetwork.dylib (856.30.16) <66C6E4D6-B39C-3309-80C1-CBBE170DDD51> /usr/lib/libnetwork.dylib
    0x7fffaa984000 -     0x7fffaad54d97  libobjc.A.dylib (706) <F9AFE665-A3A2-3285-9495-19803A565861> /usr/lib/libobjc.A.dylib
    0x7fffaad57000 -     0x7fffaad5bfff  libpam.2.dylib (21.30.1) <71EB0D88-DE84-3C8D-A2C5-58AA282BC5BC> /usr/lib/libpam.2.dylib
    0x7fffaad5c000 -     0x7fffaad8cff7  libpcap.A.dylib (67) <450DB888-2C0C-3085-A5F1-69324DFE902C> /usr/lib/libpcap.A.dylib
    0x7fffaae16000 -     0x7fffaaf5efe3  libsqlite3.dylib (253) <B5BA5C96-AB13-34A0-8237-DD52A0181DFE> /usr/lib/libsqlite3.dylib
    0x7fffab053000 -     0x7fffab060fff  libxar.1.dylib (357) <58BFB84B-66FE-3299-AA3D-BBA178ADEE39> /usr/lib/libxar.1.dylib
    0x7fffab064000 -     0x7fffab153ffb  libxml2.2.dylib (30.11) <E12AF929-0FA5-3214-840F-C81E6AC9F36E> /usr/lib/libxml2.2.dylib
    0x7fffab154000 -     0x7fffab17dfff  libxslt.1.dylib (15.8) <FFF5DD45-F544-34B2-BE3C-DB877DC60081> /usr/lib/libxslt.1.dylib
    0x7fffab17e000 -     0x7fffab18fff3  libz.1.dylib (67) <46E3FFA2-4328-327A-8D34-A03E20BFFB8E> /usr/lib/libz.1.dylib
    0x7fffab19e000 -     0x7fffab1a2ff7  libcache.dylib (79) <0C8092D3-600F-3ADD-A036-F225B6CDCA43> /usr/lib/system/libcache.dylib
    0x7fffab1a3000 -     0x7fffab1aeff7  libcommonCrypto.dylib (60092.30.2) <B16E29B6-EC8D-3A8F-9A89-DD9CF35F7C4B> /usr/lib/system/libcommonCrypto.dylib
    0x7fffab1af000 -     0x7fffab1b6fff  libcompiler_rt.dylib (62) <E992E8D9-037C-3454-A366-A25E4D31D6BB> /usr/lib/system/libcompiler_rt.dylib
    0x7fffab1b7000 -     0x7fffab1bffff  libcopyfile.dylib (138) <64E285D9-5485-333B-AEE7-8B0C8FB9275F> /usr/lib/system/libcopyfile.dylib
    0x7fffab1c0000 -     0x7fffab243fdf  libcorecrypto.dylib (442.30.20) <2074B932-FD79-30A9-8E90-AF25C49F2AF1> /usr/lib/system/libcorecrypto.dylib
    0x7fffab244000 -     0x7fffab276fff  libdispatch.dylib (703.30.5) <EA0CC14E-D559-3802-B4B2-0E8C7579AAC4> /usr/lib/system/libdispatch.dylib
    0x7fffab277000 -     0x7fffab27cff3  libdyld.dylib (421.2) <6F506653-FFF6-3DB8-84F1-109AE3C52F32> /usr/lib/system/libdyld.dylib
    0x7fffab27d000 -     0x7fffab27dffb  libkeymgr.dylib (28) <1A318923-1200-3B06-B432-5007D82F195D> /usr/lib/system/libkeymgr.dylib
    0x7fffab27e000 -     0x7fffab28affb  libkxld.dylib (3789.41.3) <87550136-9353-348B-9CD9-C342B48C5AAF> /usr/lib/system/libkxld.dylib
    0x7fffab28b000 -     0x7fffab28bfff  liblaunch.dylib (972.30.7) <15FACC21-079A-3BDF-9AFB-4253EFDEB587> /usr/lib/system/liblaunch.dylib
    0x7fffab28c000 -     0x7fffab291fff  libmacho.dylib (894) <A2F38EC1-C37C-3B93-B0E4-36B07C177F8C> /usr/lib/system/libmacho.dylib
    0x7fffab292000 -     0x7fffab294ff3  libquarantine.dylib (85) <C1D7749F-5F5F-3BB9-BEFC-1F0B9DA941FD> /usr/lib/system/libquarantine.dylib
    0x7fffab295000 -     0x7fffab296ffb  libremovefile.dylib (45) <CD42974E-BE0B-39FC-9BFC-8A7540A04DC6> /usr/lib/system/libremovefile.dylib
    0x7fffab297000 -     0x7fffab2afff7  libsystem_asl.dylib (349.30.2) <EFAC72D7-CB13-3DF7-ADF3-EC6635C6F1EA> /usr/lib/system/libsystem_asl.dylib
    0x7fffab2b0000 -     0x7fffab2b0ff7  libsystem_blocks.dylib (67) <B8C3701D-5A91-3D35-999D-2DC8D5393525> /usr/lib/system/libsystem_blocks.dylib
    0x7fffab2b1000 -     0x7fffab33efef  libsystem_c.dylib (1158.30.7) <2F881962-03CB-3B9D-A782-D98C1BBA4E3D> /usr/lib/system/libsystem_c.dylib
    0x7fffab33f000 -     0x7fffab342ffb  libsystem_configuration.dylib (888.30.2) <4FE3983C-E4ED-3939-A578-03AD29C99788> /usr/lib/system/libsystem_configuration.dylib
    0x7fffab343000 -     0x7fffab346fff  libsystem_coreservices.dylib (41.4) <1A572B9E-0C47-320F-8C64-7990D0A5FB5A> /usr/lib/system/libsystem_coreservices.dylib
    0x7fffab347000 -     0x7fffab35fff3  libsystem_coretls.dylib (121.31.1) <4676F06D-274D-31BE-B61C-4D7A4AEF4858> /usr/lib/system/libsystem_coretls.dylib
    0x7fffab360000 -     0x7fffab366fff  libsystem_dnssd.dylib (765.30.11) <DC708D84-ED7D-3936-B996-A67C66B8DDAA> /usr/lib/system/libsystem_dnssd.dylib
    0x7fffab367000 -     0x7fffab390ff7  libsystem_info.dylib (503.30.1) <9ED9121C-F111-3FAD-BC2F-C95DEE1C9362> /usr/lib/system/libsystem_info.dylib
    0x7fffab391000 -     0x7fffab3b3ff7  libsystem_kernel.dylib (3789.41.3) <B75B128C-7D7A-3318-91CD-82B5A69C5329> /usr/lib/system/libsystem_kernel.dylib
    0x7fffab3b4000 -     0x7fffab3fbfe7  libsystem_m.dylib (3121.4) <266DB92B-A86F-3691-80FB-1B26AD73CFF3> /usr/lib/system/libsystem_m.dylib
    0x7fffab3fc000 -     0x7fffab41aff7  libsystem_malloc.dylib (116.30.3) <F40DEE3B-386A-3529-A3F7-98117ED55BF4> /usr/lib/system/libsystem_malloc.dylib
    0x7fffab41b000 -     0x7fffab472ffb  libsystem_network.dylib (856.30.16) <4AE368E9-605D-379D-B04C-2AC7455B8250> /usr/lib/system/libsystem_network.dylib
    0x7fffab473000 -     0x7fffab47cff3  libsystem_networkextension.dylib (563.30.15) <EB020B0C-7DF0-3EEF-8E3C-15DA3C01D687> /usr/lib/system/libsystem_networkextension.dylib
    0x7fffab47d000 -     0x7fffab486ff3  libsystem_notify.dylib (165.20.1) <E7FD3A7C-DD07-36E2-9FA4-7561F9F114DA> /usr/lib/system/libsystem_notify.dylib
    0x7fffab487000 -     0x7fffab48ffe7  libsystem_platform.dylib (126.1.2) <3CA06D4E-C00A-36DE-AA65-3A390097D1F6> /usr/lib/system/libsystem_platform.dylib
    0x7fffab490000 -     0x7fffab49aff7  libsystem_pthread.dylib (218.30.1) <C869ED7C-BE29-3532-8E69-3A8DA1447EDC> /usr/lib/system/libsystem_pthread.dylib
    0x7fffab49b000 -     0x7fffab49eff7  libsystem_sandbox.dylib (592.31.1) <7BBFDF96-293F-3DD9-B3A4-7C168280B441> /usr/lib/system/libsystem_sandbox.dylib
    0x7fffab49f000 -     0x7fffab4a0fff  libsystem_secinit.dylib (24) <5C1F1E47-0F7D-3E25-8DEB-D9DB1F902281> /usr/lib/system/libsystem_secinit.dylib
    0x7fffab4a1000 -     0x7fffab4a8fff  libsystem_symptoms.dylib (532.30.6) <5D990CF5-B58F-39F7-B375-99B4EC62CFBD> /usr/lib/system/libsystem_symptoms.dylib
    0x7fffab4a9000 -     0x7fffab4c9ff7  libsystem_trace.dylib (518.30.7) <6D34D1EA-2A3C-3D2D-803E-A666E6AEEE52> /usr/lib/system/libsystem_trace.dylib
    0x7fffab4ca000 -     0x7fffab4cfffb  libunwind.dylib (35.3) <9F7C2AD8-A9A7-3DE4-828D-B0F0F166AAA0> /usr/lib/system/libunwind.dylib
    0x7fffab4d0000 -     0x7fffab4f9ff7  libxpc.dylib (972.30.7) <65E41BB6-EBD5-3D93-B0BE-B190CEE4DD93> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 2716
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=142.2M resident=0K(0%) swapped_out_or_unallocated=142.2M(100%)
Writable regions: Total=101.7M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=101.7M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        2 
Dispatch continuations            8192K        2 
Kernel Alloc Once                    8K        2 
MALLOC                            61.6M       16 
MALLOC guard page                   16K        4 
STACK GUARD                       56.0M        2 
Stack                             9752K        5 
Stack Guard                         12K        4 
VM_ALLOCATE                       22.3M       34 
__DATA                            4580K      118 
__LINKEDIT                       113.3M       51 
__TEXT                            28.9M      114 
__UNICODE                          556K        2 
shared memory                       44K        6 
===========                     =======  ======= 
TOTAL                            304.9M      348 

Model: MacBookPro12,1, BootROM MBP121.0167.B21, 2 processors, Intel Core i5, 2,9 GHz, 16 GB, SMC 2.28f7
Graphics: Intel Iris Graphics 6100, Intel Iris Graphics 6100, Built-In
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1867 MHz, 0x02FE, 0x4544464232333241314D412D4A442D460000
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x133), Broadcom BCM43xx 1.0 (7.21.171.68.1a5)
Bluetooth: Version 5.0.3f1, 3 services, 17 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SM0512G, 500,28 GB
USB Device: USB 3.0 Bus
USB Device: Hub
USB Device: Hub
USB Device: Bluetooth USB Host Controller
USB Device: Hub
USB Device: Microsoft USB Optical Mouse
USB Device: USB2.0 Hub
USB Device: daskeyboard
USB Device: Hub
Thunderbolt Bus: MacBook Pro, Apple Inc., 27.1
msg293955 - (view) Author: Daniel Birnstiel (Birne94) * Date: 2017-05-19 12:33
I am currently (occasionally) running into the same problem, using Python 3.6.0 on OSX 10.12.3.

I cannot reproduce this segmentation fault reliably, it happens after running for a while in production. This appears to be similar to issue 13829.

python traceback (trimmed):

Fatal Python error: Segmentation fault

Current thread 0x00007000065fb000 (most recent call first):
  File "/usr/local/Cellar/python3/3.6.0_1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 2592 in proxy_bypass_macosx_sysconf
  File "/usr/local/Cellar/python3/3.6.0_1/Frameworks/Python.framework/Versions/3.6/lib/python3.6/urllib/request.py", line 2616 in proxy_bypass
  File "/Users/daniel/Workspace/venv/lib/python3.6/site-packages/requests/utils.py", line 677 in should_bypass_proxies
  File "/Users/daniel/Workspace/venv/lib/python3.6/site-packages/requests/utils.py", line 693 in get_environ_proxies
  File "/Users/daniel/Workspace/venv/lib/python3.6/site-packages/requests/sessions.py", line 686 in merge_environment_settings
  File "/Users/daniel/Workspace/venv/lib/python3.6/site-packages/requests/sessions.py", line 509 in request
  File "/Users/daniel/Workspace/venv/lib/python3.6/site-packages/requests/api.py", line 58 in request


crash dump traceback (trimmed):

* thread #1: tid = 0x0000, 0x00007fffc1ef0dd6 libsystem_kernel.dylib`__pthread_kill + 10, stop reason = signal SIGSTOP
  * frame #0: 0x00007fffc1ef0dd6 libsystem_kernel.dylib`__pthread_kill + 10
    frame #1: 0x00007fffc1fdc787 libsystem_pthread.dylib`pthread_kill + 90
    frame #2: 0x00007fffc1e07497 libsystem_c.dylib`raise + 26
    frame #3: 0x00007fffc1fcfbba libsystem_platform.dylib`_sigtramp + 26
    frame #4: 0x00007fffc1da188f libdispatch.dylib`_dispatch_queue_push + 172
    frame #5: 0x00007fffc1d91572 libdispatch.dylib`_dispatch_mach_msg_send + 657
    frame #6: 0x00007fffc1d924ba libdispatch.dylib`_dispatch_mach_send_drain + 280
    frame #7: 0x00007fffc1da91ea libdispatch.dylib`_dispatch_mach_send_push_and_trydrain + 487
    frame #8: 0x00007fffc1da6745 libdispatch.dylib`_dispatch_mach_send_msg + 282
    frame #9: 0x00007fffc1da6804 libdispatch.dylib`dispatch_mach_send_with_result + 50
    frame #10: 0x00007fffc201f25e libxpc.dylib`_xpc_connection_enqueue + 104
    frame #11: 0x00007fffc201eca3 libxpc.dylib`xpc_connection_send_message_with_reply + 152
    frame #12: 0x00007fffac99b8e5 CoreFoundation`__80-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:]_block_invoke_2 + 133
    frame #13: 0x00007fffac9cb4e4 CoreFoundation`-[_CFXPreferences withConnectionForRole:performBlock:] + 36
    frame #14: 0x00007fffac99b817 CoreFoundation`__80-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:]_block_invoke + 199
    frame #15: 0x00007fffac99b662 CoreFoundation`-[CFPrefsSearchListSource alreadylocked_generationCountFromListOfSources:count:] + 226
    frame #16: 0x00007fffac81ee80 CoreFoundation`-[CFPrefsSearchListSource alreadylocked_copyDictionary] + 336
    frame #17: 0x00007fffac81eb5c CoreFoundation`-[CFPrefsSearchListSource alreadylocked_copyValueForKey:] + 60
    frame #18: 0x00007fffac94dd75 CoreFoundation`-[CFPrefsSource copyValueForKey:] + 53
    frame #19: 0x00007fffac9c9b00 CoreFoundation`__76-[_CFXPreferences copyAppValueForKey:identifier:container:configurationURL:]_block_invoke + 32
    frame #20: 0x00007fffac99ca32 CoreFoundation`__108-[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:]_block_invoke + 290
    frame #21: 0x00007fffac99c8a9 CoreFoundation`-[_CFXPreferences(SearchListAdditions) withSearchListForIdentifier:container:cloudConfigurationURL:perform:] + 345
    frame #22: 0x00007fffac9c9a66 CoreFoundation`-[_CFXPreferences copyAppValueForKey:identifier:container:configurationURL:] + 310
    frame #23: 0x00007fffb343a56f SystemConfiguration`SCDynamicStoreCopyProxiesWithOptions + 164
    frame #24: 0x000000010b36f926 _scproxy.cpython-36m-darwin.so`get_proxy_settings + 24
    frame #25: 0x000000010942148b Python`_PyCFunction_FastCallDict + 529
    frame #26: 0x0000000109488959 Python`call_function + 562
    frame #27: 0x0000000109485d10 Python`_PyEval_EvalFrameDefault + 26835
msg293958 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2017-05-19 15:21
Unfortunately, his is a long standing problem when using Python applications that fork on macOS and that end up calling certain system frameworks that under the covers use the system libdispatch which is not fork safe.  In this case, it is most likely due to a call to s urllib function that results in a call to Python's helper module _scproxy to query the macOS system configuration for network proxies.  If your application and system are not using a proxy, the simplest workaround is to disable network proxy lookups by defining the environment variable 'no_proxy' with value '*' in the Python process, for example:

env no_proxy='*' python3.6 ...

Otherwise, restructuring your code to ensure network initialization occurs in the main thread before any forking *might* also prevent the segfault.
msg294136 - (view) Author: Gunnar Aastrand Grimnes (gromgull) Date: 2017-05-22 09:33
Adding env no_proxy='*' does indeed fix it! 

Thanks a lot! 

I guess it's pretty hard to fix. Or even to detect, so that one could log a warning before dying :(
History
Date User Action Args
2017-05-22 09:33:46gromgullsetmessages: + msg294136
2017-05-19 15:21:23ned.deilysetstatus: open -> closed
superseder: _scproxy.so causes EXC_BAD_ACCESS (SIGSEGV)
messages: + msg293958

resolution: duplicate
stage: resolved
2017-05-19 12:33:02Birne94setnosy: + Birne94
messages: + msg293955
2017-05-17 13:07:29gromgullsetmessages: + msg293851
2017-05-17 12:40:55gromgullcreate